package autohaus;

public class Konto {
	/**
	 * Guthaben
	 */
	private double guthaben;
	
	/**
	 *  Person, der das Konto gehört
	 */
	private Person person;
	
	/**
	 * Konstruktor: initialisiert die Werte
	 * @param p Person, der das Konto gehört
	 */
	public Konto(Person p) {
		this.person = p;
		this.guthaben = 5;
	}
	
	/**
	 * Geld auf das Konto einzahlen
	 * @param betrag Betrag, der eingezahlt wird
	 */
	public void Einzahlen(double betrag) {
		this.guthaben += betrag;
	}
	
	/**
	 * Geld vom Konto abheben, funtioniert nur, wenn genügend Geld auf dem Konto vorhanden ist
	 * 
	 * @param betrag Betrag, der vom Konto abgehoben werden soll
	 * @return gibt zurück, ob die Abhebung funktioniert hat oder nicht
	 */
	public boolean Auszahlen(double betrag) {
		if(betrag>this.guthaben) return false;
		
		this.guthaben -= betrag;
		return true;
	}
	
	/**
	 * Geld vom Konto auf ein anderes Konto überweisen
	 * 
	 * @param ziel Konto, auf welches das Geld überwiesen werden soll
	 * @param betrag Betrag, der überwiesen werden soll
	 * @return gibt zurück, ob die Abhebung funktioniert hat oder nicht
	 */
	public boolean Ueberweisen(Konto ziel, double betrag) {
		// Wenn zu wenig Guthaben, breche ab
		if(betrag>this.guthaben) return false;
		
		this.guthaben -= betrag;
		ziel.guthaben += betrag;
		
		return true;
	}
	
	/**
	 * Ausgabe des Guthabens
	 */
	public void out() {
		System.out.println("Guthaben auf dem Konto: "+this.guthaben+"€");
	}
}
