package autohaus;

public class Person {
	/**
	 * Name der Person
	 */
	private String name;
	
	/**
	 * Konto der Person
	 */
	private Konto konto;
	
	/**
	 * Konstruktor: initialisiert die Attribute und legt automatisch ein Konto an
	 * @param name Name der Person
	 */
	public Person(String name) {
		this.name = name;
		
		// Konto anlegen
		this.konto = new Konto(this);
	}
	
	/**
	 * @return das Konto der Person
	 */
	public Konto getKonto() {
		return this.konto;
	}

	/**
	 * Die Person kauft ein Auto, hierbei soll das Geld überwiesen werden
	 * Auf der Konsole erscheint die Bestätigung
	 * @param a Auto, das gekauft werden soll
	 * @param autohaus "Person", bzw. Autohaus, von der das Auto gekauft werden soll, dieser Person soll das Geld überwiesen werden 
	 */
	public void kaufeAuto(Auto a,Person autohaus) {
		// Wenn die Überweisung nicht funktioniert...
		if(!this.konto.Ueberweisen(autohaus.getKonto(), a.getPreis())) {
			// zeige Fehler auf der Konsole an
			System.out.println(this.name+" kann das Auto "+a.getName()+" nicht kaufen: zu teuer!");
		}
		// andernfalls...
		else {
			// dann zeige eine Bestätigung auf der Konsole an
			System.out.println(this.name+" hat das Auto "+a.getName()+" erfolgreich gekauft!");
			// und gib den neuen Kontostand auf der Konsole aus
			this.konto.out();
		}
	}
}
